// http://www.tutorialsteacher.com/nodejs/expressjs-web-application        
var express = require('express');
var app = express();
var bodyParser = require("body-parser");
var PythonShell = require('python-shell');

app.use(bodyParser.urlencoded({ extended: false }));
app.use(express.static(__dirname + '/public'));


app.get('/', function (req, res) {
    res.sendFile(__dirname + '/html_views/index.html');
});

var score = "";

app.post('/run-pyhthon', function (req, res) {
    //var name = req.body.firstName + ' ' + req.body.lastName;
    //res.send(score);
    var p = new Promise(function (resolve, reject) {
        var requestString = req.body.query;
        var options = {
            //mode: 'text',
            //pythonPath: 'path/to/python',
            //pythonOptions: ['-u'],
            //scriptPath: 'path/to/my/scripts',
            //pythonPath: 'python3', // THIS LINE IN UBUNTU
            args: ['public/misa_completa', requestString]
          };
        // Do an async task async task and then...
        PythonShell.run('python_code/main.py', options, function (err, results) {
            if (err) {
                console.log(err);
            }
            // results is an array consisting of messages collected during execution
            //console.log('results: %j', results);
            score = results;
            console.log(results);
            resolve('Success!');
        });
    });

    p.then(function () {
        console.log("Finished");
        //console.log(score);
        res.sendFile(__dirname + '/html_views/score_verovio.html')

    }).catch(function () {
        /* error :( */
        console.log("There was an error");
    })
});

var server = app.listen(5000, '0.0.0.0', function () {
    console.log('Node server is running.. 5000');
});


