
import sys, getopt
from music21 import *
import lyrics as ly
import os, shutil
#import matplotlib.pyplot as plt

def main(argv):
	#print(argv)
	# Choose file
	path_name_in = argv[0]
	path_name_out = argv[1]
	search_array = argv[2]

	if not os.path.exists(path_name_out):
	    os.makedirs(path_name_out)

	# Erase files
	# for the_file in os.listdir(folder):
	# 	file_path = os.path.join(folder, the_file)
	# 	try:
	# 		if os.path.isfile(file_path):
	# 			os.unlink(file_path)
	# 	except Exception as e:
	# 		print(e)

	tp, scores, parts =  ly.folder_tupple(path_name_in)
	lyric_matches = ly.check_srting_files(search_array,tp)
	ly.write_matches_scores_files(path_name_out,scores,parts,lyric_matches)



if __name__ == "__main__":
	# 0: path of inputs, 1: path outputs, rest: search array
	main(sys.argv[1:])