
# File organization

### Requirements by priority
* Gaspar Sanz classification (Expert system)
* Chord recognition NN (Deep chords)
* One Piece analyis (Musical structure)
    - Statistics
    - Chords
    - Similiar parts 
    - Cluster parts by features (R,M,H)
* Compare two files (return analysis) - (Musical structure)
* Compare two corpus (return analysis) - (Musical structure)
* Query system (not exact, only similar) - (Queries) 
    - Chords (Progressions)
    - Measures
    - Lyrics
    - Melody
    - Rythm
    - Input by keyboard


## MIR
* [ ] Create training examples for NN
* [ ] Train NN for chord recognition
* [ ] Test for C major tonality
* [ ] Implement Fuzzy
* [ ] Musical structure
* [ ] Implement expert system
* [ ] Similarity queries

## Backend
* [ ] Create JSON version numbering
* [ ] CSV normalization
* [ ] Design cluster json
* [ ] Add measure info in json
* [ ] Add lyrics info in json
* [ ] Caché SVG of scores
* [ ] Enable lyrics queries
* [ ] Analysis of queries results similarity
* [ ] Enable musical queries.
* [ ] Cluster files by feature
* [ ] Cluster files by composite descriptor
* [ ] Cluster all measures of all files
* [ ] Create labels for Sanz classes
* [ ] Create Data Anaylisis folder
* [ ] Enable authentification

## Frontend
* [ ] React graph from clusters
* [ ] Establish uniform design
* [ ] Create playlists
* [ ] Download analysis report
* [ ] F12 Score navigator like Musescore

