var verovio = require('verovio-dev');
var vrvToolkit = new verovio.toolkit();

const OPTIONS_VEROVIO = {
    pageHeight: 1000,
    pageWidth: 1800,
    breaks: "none",
    adjustPageHeight: 1,
    noHeader: 1,
    //version: 1,
    //border: 100,
    scale: 50,
    noFooter: 1,
    noHeader: 1,
    pageMarginBottom: 0,
    pageMarginLeft: 0,
    pageMarginRight: 0,
    pageMarginTop: 0
};

exports.xmlToSVg = function (xmldata, success, optionsVerovio = OPTIONS_VEROVIO) {
    let p = new Promise(function (resolve, reject) {
        console.log("Enter verovio promise!");
        vrvToolkit.loadData(xmldata);
        resolve(vrvToolkit.renderData(1, optionsVerovio));
    })
        .then(value => success( value ))
        .catch(err => console.log("There was an error in verovio " + err));
};



