let express = require('express');
  // require relative to local position
let rp = require('../modules/runpython.js');
let vr = require('../modules/scores.js');
let fs = require('fs');
const { spawn } = require('child_process');

let router = express.Router();

// const PYTHONFILEPATH = '../backend_system/LIBRARIES/main.py';
const PYTHONFILEPATH = 'main.py';

// https://stackabuse.com/get-query-strings-and-parameters-in-express-js/
router.get('/singleoperations', (req, res) => {
  let operation = req.query.type;
  let fileScore = req.query.file;
  console.log("Operation ", operation, ", File  ", fileScore);
  const pyProg = spawn('python', [PYTHONFILEPATH, operation, fileScore]);

  console.log("\n\n======================\nEnter Python")
  pyProg.stdout.on('data', data => {
    // TODO: Handle python errors and notify
    console.log("DATA");
    console.log(data.toString());
    switch (operation) {
      case "chordify":
      case "score":
        console.log("call verovio");
        vr.xmlToSVg(data.toString(), verov => res.send({ svg: verov }));
        break;
      case "dtw":
      case "stats":
        res.send({ svg: data.toString() });
        // res.send(JSON.parse(data.toString()) );
        break;
      default:
        res.send({ svg: data.toString() });
        break;
    }
  });

  pyProg.on('error', (err) => {
    console.log("============\nERROR")
    console.log('Failed to start subprocess.');
    console.log(err);
  });


  // pyProg.on('exit', function (code, signal) {
  //   sendError = "Exited with code " + code + " " + signal;
  //   console.log(sendError);
  //   res.send({ svg: sendError });
  // });
})

module.exports = router;
