
# coding: utf-8

# In[4]:

from music21 import *
from scipy import *
import numpy as np
import gaspar
import os
import time

print("=======================================")
start = time.time()
print("Start time")
#===============================================

# Calculations

#inputFile='ChopinEtude10'
#inputFile='Wtcii02a'
#inputFile='Prelude1'
inputFile='1296gs1esp'
#inputFile ='chpn-p20'
inputPath='resources/'
pt= os.path.join(os.getcwd(),inputPath, inputFile+'.xml')

print('Loaded midi file\n\t'+pt)


#s = converter.parse('SANZ_files/ClasicalMidi-GasparSanz/1296gs1esp.xml')
#s = converter.parse('SANZ_files/ClasicalMidi-GasparSanz/1298gs3hach.xml')
#s = converter.parse('SANZ_files/ClasicalMidi-GasparSanz/1302gs7folia.xml')
s = converter.parse(pt)
sch=s.chordify()



#sch.show()
measures = sch.getElementsByClass(stream.Measure)

chd = gaspar.ChordDictionary()
chd.dictionaryChords
ms=chd.GetFeaturesFromMeasures(measures)
optimum = chd.FindOptimumLabel(ms)

chd.AssignLabel(optimum,sch)
sch.show()


date =  time.strftime("%Y%m%d-%H%M%S")
fileDated = ''+date+'-'+inputFile+'.xml'
ptFile= os.path.join(os.getcwd(),'output', fileDated)

print('Saved Midi file list fileAnalyzed\n\t'+ptFile)

# pt= os.path.join(os.getcwd(), "output/"+ptFile)
# os.access(pt, os.W_OK)
# print(pt)
# sch.write(fp=pt,fmt='musicxml')
# #sch.show()
# end = time.time()
# total= end-start
# print("Total time: ",total)
# print("=======================================")


