
import sys
import simplemir.fileutils as fu
import simplemir.music21utils as mu
import simplemir.structure as st
import simplemir.feature_extraction as fx
import pprint
import time
import json

# LOAD FILES

# ============================================================================
# Orchesrtral density demo
# ============================================================================

# files = fu.get_list_files("../../misa_completa", "xml")
# scores_db = mu.get_scores_from_paths(files)
# print(st.part_density_svg_string(scores_db[0][1]))


# ============================================================================
# Lyrics demo
# ============================================================================

# files = fu.get_list_files("../../misa_completa", "xml")
# scores_db = mu.get_scores_from_paths(files)

# lyrics_db = {}
# lyrics_db['elements'] = mu.get_lyrics_from_scoresdb(scores_db)

# matches = mu.check_srting_files("Dona eis domine", lyrics_db['elements'])
# results_scores_list = [mu.get_stream_from_match(scores_db, m) for m in matches]

# xml_list = mu.get_matches_scores_xml(scores_db, matches)
# print(xml_list)
# print(len(xml_list))

# # mu.write_xml_to_folder(xml_list,"output","test")

# pt, md, dtyp, dval = mu.get_list_matches(scores_db, matches)

# print(pt)
# print(md)
# print(dtyp)
# print(dval)


# ============================================================================
# Features extraction demo
# ============================================================================

# TODO: Error when only one element in list 
files = fu.get_list_files("../../music_files", "musicxml")
scores_db = mu.get_scores_from_paths([files[0]])
print(scores_db[0])

feats = fx.Feature_extraction(scores_db[0][0],scores_db[0][1])
# out_features = feats.out_file_features()

# print(json.dumps(feats.export_dict))

file=open('out_feats.json','w')
file.write(json.dumps(feats.master_dict))
file.close()

# end = time.time()
# elapsed = end - start
# print("\nTIME: ",elapsed)
# print("NumFiles: ",len(scores_db))


# ============================================================================
# DTW demo
# ============================================================================
