# API Design

## Current Modules

- Orchestral density
- Lyric query
- DTW form graph
- Fuzzy chord table
- Correlation chord tagging
- n voices sections
- get lyrics from scores
- Get statistics from score
- Get paradigmas (melodic, harmonic rythmic)

### API routes

- Orchestral density

-DTW from graph
Input - path to file
Output SVG graph

`/dtwstructure?filenumber=0`


## Structure of application

Main
- File Manager
- Single file operations
- Batch operations
- Auto analysis

File Manager
- Uploads
- Delete
- Create groupings
- Paradigms

Single File Operations
- Statistics from file
- DTW Structure
- Fuzzy Chords label
- Correlation chord tagging
- Paradigms

Batch Operations
- Statistics from batch
- Orchestral density
- N-voices sections
- Lyrics query