import React from 'react'
import Header from './components/Header/Header'
import Main from './Main'
import { BrowserRouter } from 'react-router-dom'
import './RouteManager.css';

const RouteManager = () => (
  <BrowserRouter>
    <div className="routemanager">
      <Header />
      <Main />
    </div>
  </BrowserRouter>
)

export default RouteManager
