import sys
import simplemir.executables as ex
import pprint

# Node Tests
file_path = 'files/'

# ==========================================================
args = sys.argv[1:]
operation = args[0]
if len(args) > 1:
    file_name = args[1]
    file_route = file_path+file_name

if operation == "jsonAll":
    ex.run_json_all(file_path, "musicxml")
    print("Finished json all")

elif operation == "classify_names":
    svg_out = ex.run_classify_names(file_path)
    print(svg_out)

elif operation == "dtw":
    obj_out = ex.run_dtw_api(file_route)
    print(obj_out)

elif operation == "chordify":
    xml_string = ex.run_chordify_api(file_route)
    print(xml_string)

elif operation == "score":
    xml_string = ex.run_score_api(file_route)
    print(xml_string)

elif operation == "stats":
    json_out = ex.run_stats_api(file_route)
    print(json_out)

else:
    print("Not yet implemented")
    print("contact holomorfo.mx@gmail.com")