let ps = require('python-shell');

const PYTHONPATH = 'python';

exports.runPythonCode = function (filePath, pyArgs, success) {
    let p = new Promise(function (resolve, reject) {
        console.log("\n\n===============================");
        console.log("Enter python promise!");
        let opts = {
            //mode: 'text',
            //\\pythonPath: 'path/to/python',
            //pythonOptions: ['-u'],
            //scriptPath: 'path/to/my/scripts',
            pythonPath: PYTHONPATH, 
            args: pyArgs
        };
        ps.PythonShell.run(filePath, opts, function (err, results) {
            if (err) console.log("\nError inside: \n" + err);
            console.log("Run Python shell");
            console.log(err);
            resolve(results.join(''));
        });
    })
        .then(value => {
            console.log("SUCCESS!!")
            console.log(value);
            // success({ 'result': value })
            success({ 'result': 'value' })
        })
        .catch(err => console.log("There was an error in python " + err));
};
