import sys
import simplemir.executables as ex

# Node Tests
file_path = '../music_files/input_files/'

# ==========================================================
# TESTS

# Library tests
# file_path = 'input/'
# operation = "stats"
# file_name = 'Fur_Elise_by_Ludwig_Van_Beethoven_c.xml'


# ==========================================================
args = sys.argv[1:]
operation = args[0]
file_name = args[1]

file_route = file_path+file_name

if operation == "dtw":
    svg_out = ex.run_dtw_api(file_route)
    print(svg_out)
elif operation == "chordify":
    xml_string = ex.run_chordify_api(file_route)
    print(xml_string)
elif operation == "score":
    xml_string = ex.run_score_api(file_route)
    print(xml_string)
elif operation == "stats":
    json_out = ex.run_stats_api(file_route)
    print(json_out)
else:
    print("Not yet implemented")
    print("contact holomorfo.mx@gmail.com")
